@mixin app-homeless-history-theme($theme) {
  $primary: map-get($theme, primary);
  $warn: map-get($theme, warn);
  $accent: map-get($theme, accent);
  .homeless-history-episodes-grid {
    .ag-body-viewport.ag-layout-auto-height .ag-center-cols-clipper, .ag-body-viewport.ag-layout-auto-height .ag-center-cols-container {
        min-height: 28px;
    }
    .ag-overlay-no-rows-wrapper.ag-layout-auto-height {
        padding-top: 0px;
        padding-bottom: 25px!important;
        align-items: flex-end;
    }
  }
  .housing-main {
    .mat-form-field-wrapper {
      padding-bottom: 0.3em !important;
    }

    .mat-card-header {
      width: 100%;
    }

    .homeless-history-icon {
       align-self: center; 
    }
    
    .help-icon {
      font-size: 2.9em;
      line-height: 35px;
      color: mat-color($primary);
    }

    .help-icon:hover {
      cursor: pointer;
      color: mat-color($warn);
    }

    .explain-icon {
      color: mat-color($primary);
    }

    .explain-icon:hover {
      cursor: pointer;
      color: mat-color($warn);
    }

    .mat-card-content {
      .example-small-box {
        display: flex;
        align-items: center;
        justify-content: center;
        background: white;

        .example-container {
          width: 100%;
          margin-right: 10px;
          margin-left: 10px;
        }
      }
    }

    .housing-form {
      .content-main {
        display: flex;
        flex-flow: column wrap;
        width: 90%;
        margin-left: 5%;

        .content-sub {
          display: flex;
          align-items: center;
          flex-flow: row wrap;
          align-content: flex-start;

          .content-sub-label {
            width: 7em;
            padding-right: 0.5em;
            text-align: right;
          }

          .content-sub-multiline-label {
            width: 4em;
            padding-right: 0.5em;
            text-align: right;
          }

          .content-sub-label-radio {
            width: 70%;
            padding-right: 0.5em;
            text-align: left;
          }

          .content-sub-label-comment {
            width: 100%;
            padding-right: 0.5em;
            text-align: left;
            font-size: smaller;
          }

          .content-sub-field {
            padding-right: 0.5em;
            flex: 1 1 auto;
          }

          .mat-radio-button ~ .mat-radio-button {
            margin-left: 16px;
            margin-bottom: 16px;
          }

          .content-sub-actions {
            font-size: 2.9em;
            line-height: 20px;
            cursor: pointer;
          }

          .content-sub-middle {
            font-weight: bold;
            margin-bottom: 5px;
          }
        }
      }
    }

    .housing-chart {
      .chart-table {
        background-color: white;
        width: 100%;

        .chart-year {
          text-align: center;
          background-color: lightgray;
          font-weight: bold;
        }

        .chart-month {
          text-align: center;
          background-color: #d3d6ff;
          width: 8%;
        }

        .noRightBorder {
          border: 0px;
          border-top: 1px solid #000;
          border-left: 1px solid #000;
          border-bottom: 1px solid #000;
        }

        .RightBorder {
          // border: 0px;
          border-right: 1px solid white;
        }

        .BottomBorder {
          border: 0px;
          border-bottom: 1px solid white;
        }
        .BottomBorderCell {
          // border: 0px;
          border-bottom: 1px solid grey;
        }
      }

      .chart-table-legend {
        background-color: white;
        width: 90%;
        margin-left: 10%;

        .legend-width {
          width: 5%;
        }
      }

      .progress-bar-OutOfRange {
        background-color: lightgray !important;
      }

      .progress-bar-shelter {
        background-color: #437ed4 !important;
      }

      .progress-bar-user {
        background-color: #7746d7 !important;
      }

      .progress-bar-missing {
        background-color: #dc3546 !important;
      }

      .progress-bar-supHousing {
        background-color: #27a844 !important;
      }
    }

    .housing-episode {
      .content-main {
        display: flex;
        flex-flow: column wrap;

        .content-sub {
          display: flex;
          align-items: center;
          flex-flow: row wrap;
          align-content: flex-start;

          .toolbar-spacer {
            flex: 1 1 auto;
          }

          .content-sub-middle {
            font-weight: bold;
            margin-bottom: 5px;
          }
        }
      }
    }

    .mat-expansion-panel {
      border-radius: 0px;
      margin-top: 5px;

      .mat-expansion-panel-header {
        background-color: mat-color($primary, 400);
        max-height: 30px !important;
      }

      .mat-expansion-panel-header-title {
        color: white;
        span {
          padding: 5px;
        }
      }
      .mat-expansion-panel-header-title:hover {
        color: mat-color($warn, 500);
      }

      .mat-expansion-panel-body {
        padding: 5px;
        padding-top: 0px;
      }
    }
  }
}
